it-swarm.xyz

Android Studio "Невозможно сохранить настройки плагина"

Когда я сегодня открыл Android-студию, она показала мне следующие ошибки: Error 1

Error 2

Затем, когда после перезапуска Android Studio я получаю следующие ошибки: Error 3

После того, как я включил «Поддержка Android» и перезапустился, снова отображаются первые две ошибки, а при повторном перезапуске я снова получаю третью ошибку, и плагин «Поддержка Android» снова отключается. (Я даже пытался удалить и переустановить Android Studio)

Как я могу это исправить?

46
dan.lee

В моем случае это похоже на проблему с правами. При запуске Android Studio с правами администратора проблем не возникает.

Повторное включение плагинов с правами администратора и повторный запуск AS с моим пользователем по умолчанию не помогает.

Правка

Я обновил до последней канарейки . С администратором я установил AS . Я полностью удалил .AndroidStudio/config, .AndroidStudio/system и .AndroidStudio/plugins заранее (я использую другое расположение для этих файлов, поэтому мне нужно заменить idea.properties после каждой установки. При этом я заметил, что они переименовали .AndroidStudio в AndroidStudio.2. Это дало мне подсказку удалить эти каталоги.) После этого у меня не было проблем, независимо от того, какой пользователь запускал КАК.

9
sschrass

Я решил эту проблему следующим образом:

  1. Перейдите в File >> Invalidate caches/restart >> Отменить и перезапустить
  2. После перезагрузки, если появится предупреждение, просто нажмите Включить поддержку Android
33
Asim Krishna Das

Я использовал Gradle 4.1 и AS 3.0.1, когда я получил эту ошибку.

Посмотрите на консоль Gradle. Если это выглядит примерно так, читайте дальше:

Plugin Error
Problems found loading plugins:
Plugin "Android Games" was not loaded: required plugin "Android Support" is disabled.
Plugin "Android NDK Support" was not loaded: required plugin "Android Support" is disabled.
Plugin "Android APK Support" was not loaded: required plugin "Android Support" is disabled.
Plugin "Google Developers Samples" was not loaded: required plugin "Android Support" is ...
...
Plugin "Fire... (show balloon)

Обратите внимание, что все говорят «требуется плагин поддержка Android отключена

Также обратите внимание на ссылку « показать шар ».

  1. Нажмите show balloon.

  2. Выберите включить поддержку Android

  3. Перезагрузите AS. 

Я надеюсь, что это поможет вам тоже.

20
DSlomer64

TL; DR  
Я наконец исправил это, удалив .idea/workspace.xml и снова включив плагины.

Та же проблема произошла со мной, когда я установил бета-версию AS 3.1 вместе с AS 3.0.1 (стабильной) и открыл в ней свой проект. Это было хорошо для нескольких сессий, пока не было. Не могу понять, что именно сломало конфигурацию проекта, но проект откроется в 3.0.1, а не в 3.1. Любой другой проект будет работать на 3.1 тоже. Симптомы были те же: плагин поддержки Android отключен и не включается. Я попытался сделать недействительными кэши, переустановить AS (даже стабильная версия 3.1 не будет работать).
В конце концов я заметил папки projectBackup и projectBackup2, созданные студией в корневой папке проекта. Они содержали версии файла workspace.xml. Поэтому я удалил эти папки с резервными копиями и workspace.xml из папки .idea. Затем студия попросила перезагрузить проект и все - после этого я смог снова включить все плагины

12
cleanOK

Это может произойти, если модуль добавлен неправильно.

Вместо добавления папки модуля добавление build.gradle приводит к повреждению проекта и проблемам с плагинами поддержки Android.

Чтобы проверить, является ли это проблемой, попробуйте создать новый проект Android. Если новый проект можно открыть нормально (может потребоваться включение плагинов и перезапуск Android Studio), то это проблема проекта.

Если это так, удалите неправильный модуль из проекта и при необходимости повторно включите плагины и перезапустите Android Studio.

12
Alex

Ни одно из вышеперечисленных решений для меня недостаточно. У меня была такая же проблема после обновления с Android Studio 2.3.3 до 3.1.2. 

  1. Закрыть Android Studio
  2. Удалить .idea/workspace.xml
  3. Перезапустите Android studio (ваш проект с проблемой открывается автоматически)
  4. Новый .idea/workspace.xml создан
  5. Синхронизировать проект с файлами Gradle
  6. Откройте Файл -> Настройки -> Плагины -> Включить
    • Плагин "Поддержка Android".
    • Поддержка Android NDK (пришлось отключить и снова включить)
  7. Перезапустите Android Studio
8
L. G.

Эта проблема появилась недавно с Android Studio 1.3 и 1.4.2 (бета). Это было вызвано OutOfMemoryError в куче Java. 

Я решил это, увеличив значения -Xmx и -XX:MaxPermSize в файле studio.vmoptions 

2
XGouchet

Я получил эту ошибку сегодня, я обновил Android Studio из Справка> CheckForUpdates> Обновить . После этого установил недостающие плагины Google Cloud . Теперь он работает нормально.

2
Rahul

В Android студии зайдите в файл-> настройки-> плагин-> включить поддержку Android

1
Adam

Вы можете попробовать это:

Переименуйте папку, в которой находится проектОткройте проект в Android Studio (теперь вам нужно будет его найти) Дождитесь его синхронизации и закройте проект Переименуйте папку обратно в исходную .__ Это решило это для меня. Простое удаление папки с идеями и аннулирование кэшей не решило проблему.

0
Martin B

В моем случае я использую Ubuntu, и мне пришлось разблокировать папку моего проекта: Введите следующую команду в Терминале: 

Sudo chown -R $ USER: $ HOME

0
Gal Rom